<?php
require($netsFileConfig['sysCoreRoot_Real'].'Cache/DbDescription/gsnavigationactive.php');
require($netsFileConfig['sysCoreRoot_Real'].'Cache/DbDescription/gsnavigationactivecont.php');
require($netsFileConfig['sysCoreRoot_Real'].'Cache/DbDescription/gsnavigationactivediscuss.php');
require($netsFileConfig['sysCoreRoot_Real'].'Cache/DbDescription/gsnavigationactivediscusscont.php');
require($netsFileConfig['sysCoreRoot_Real'].'Inc/m_Gsnavigation/Gsnavigation/gsnavigationactive.php');
require($netsFileConfig['sysCoreRoot_Real'].'Inc/m_Gsnavigation/Gsnavigation/gsnavigationactivediscuss.php');


class PaDefault extends CustomPage {
	public function PaDefault(){
		$this->CustomPage();
	}
	public function OnBInitial(){
		$this->sMetaTitle='团购首页';
		$this->getUser('1,2,3,4,5,');
		$this->sTemplatePath='Gsnavigation/gsnavigationactiveDetail_Normal.php';
		$this->sApp=new gsnavigationactive($this->sConnString);
		$this->sTable=array(
			array('sttTableName'=>$this->sysTableHead.'gsnavigationactive','sttColumnHead'=>'gsnat'),
			array('sttTableName'=>$this->sysTableHead.'gsnavigationactivecont','sttColumnHead'=>'gsnact'),);
		//-- #Share link --
		$this->sData_LinkShare=array();
		$tmpCacheFlag='nets/options_LinkShare_Groupsale';
		$tmpAR_Cache=$this->sDb->readCache($tmpCacheFlag);
		if(count($tmpAR_Cache)==0){
			$tmpParid=20;
			$tmpSQL=' SELECT A.cltID,A.cltName,A.cltURL,A.cltTarget,B.clctSourceR00
				FROM {Nets.TableHead}cmslink AS A
				INNER JOIN {Nets.TableHead}cmslinkcont AS B ON B.clctIndexID=A.cltID
				WHERE 1=1 AND A.cltRecycle=0 AND A.cltChecked>1 AND A.cltParid={Nets.Parid}
				ORDER BY A.cltOrderBy DESC,A.cltID DESC ';
			$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
			$tmpSTR=str_replace('{Nets.Parid}',$tmpParid,$tmpSTR);
			$this->sData_LinkShare=$this->sDb->Search($tmpSTR);
			
			if($this->sysFileConfig['CacheDbAble']==1){
				$this->sDb->writeCache($tmpCacheFlag,$this->sData_LinkShare);
			}
		}else {
			$this->sData_LinkShare=$tmpAR_Cache;
		}
		
		//-- ------ #ActionType ------ --
		if($this->sActionType=='DEvaluation'){
			$this->OnEvaluation();
		}else if($this->sActionType=='DPositive'){
			$this->OnPositive();
		}else if($this->sActionType=='DNegative'){
			$this->OnNegative();
			
		}
		
		
	}
	public function OnAdd(){
		$tmpApp=new gsnavigationactivediscuss($this->sConnString);
		$tmpTable=array(
			array('sttTableName'=>$this->sysTableHead.'gsnavigationactivediscuss','sttColumnHead'=>'gsnadt'),
			array('sttTableName'=>$this->sysTableHead.'gsnavigationactivediscusscont','sttColumnHead'=>'gsnadct'),);
		
		$tmpDbDescriptions=array();
		foreach ($tmpTable as $tableCell){
			$tmpDbDescriptions[]=$this->sDbDescriptions[$tableCell['sttTableName']];
		}
		$tmpMainid=$this->AnalyerRequest('mainID',0,1);
		$this->sMainID=$tmpMainid[0];
		$tmpMainUserid=$this->AnalyerRequest('mainUserid',0,1);
		$this->sMainUserid=$tmpMainid[0];
		$tmpMainTableid=$this->AnalyerRequest('mainTableid',0,1);
		$this->sMainTableid=$tmpMainid[0];
		//-- ------ #Add ------ --
		$tmpApp->TransStart();
		//#Get numCode
		$tmpSTR=$tmpTable[0]['sttColumnHead'].'NumCode';
		$tmpDbDescriptions[0]['TableDescription']['SearchColumn']=$tmpSTR;
		$tmpDbDescriptions[0]['Columns'][$tmpSTR]['Value']='N_'.date('YmdHis');
		$tmpApp->numCode($tmpDbDescriptions[0]);
		//#Set value
		$tmpDbDescription0=$tmpDbDescriptions;
		$Coun0=0;
		foreach ($tmpDbDescription0 as $tableCell){
			foreach ($tableCell['Columns'] as $Column){
				if($Column['stcotName']!=$tmpTable[$Coun0]['sttColumnHead'].'ID' &&
					$Column['stcotName']!=$tmpTable[$Coun0]['sttColumnHead'].'NumCode' &&
					$Column['stcotName']!=$tmpTable[$Coun0]['sttColumnHead'].'CreateBy' &&
					$Column['stcotName']!=$tmpTable[$Coun0]['sttColumnHead'].'CreateTime' &&
					$Column['stcotName']!=$tmpTable[$Coun0]['sttColumnHead'].'IndexID'){
					$tmpAR0=$this->AnalyerRequest($Column['stcotName'].'Txt',$Column['stcoctDefaultValue'],1);
					$tmpDbDescriptions[$Coun0]['Columns'][$Column['stcotName']]['Value']=$tmpAR0[0];
				}
			}
			$Coun0++;
		}
		//-- #Set conventional --
		if(isset($tmpDbDescriptions[0]['Columns'][$tmpTable[0]['sttColumnHead'].'CreateBy']['Value'])){
			$tmpDbDescriptions[0]['Columns'][$tmpTable[0]['sttColumnHead'].'CreateBy']['Value']=$tmpMainUserid[0];
		}
		if(isset($tmpDbDescriptions[0]['Columns'][$tmpTable[0]['sttColumnHead'].'CreateTime'])){
			$tmpDbDescriptions[0]['Columns'][$tmpTable[0]['sttColumnHead'].'CreateTime']['Value']=date($this->sysTimeFormat);
		}
		//DB name,Condition,User index,User column name
		$tmpFlag=0;
		foreach ($this->AnonymousUserData as $Row0){
			if (count($tmpDbDescriptions)>1) {
				if(isset($tmpDbDescriptions[1]['Columns'][$tmpTable[1]['sttColumnHead'].$Row0[0]])){
					if ($tmpDbDescriptions[1]['Columns'][$tmpTable[1]['sttColumnHead'].$Row0[0]]['Value']==$Row0[1]) {
						$tmpFlag=1;
					}
				}
			}
			if ($this->sUserInfo[0]['Columns']['uitID']['Value']==0 && $tmpFlag==1) {
				$tmpDbDescriptions[1]['Columns'][$tmpTable[1]['sttColumnHead'].$Row0[0]]['Value']=$Row0[4];
			}else if ($tmpFlag==1 && isset($tmpDbDescriptions[1]['Columns'][$tmpTable[1]['sttColumnHead'].$Row0[0]])) {
				$tmpDbDescriptions[1]['Columns'][$tmpTable[1]['sttColumnHead'].$Row0[0]]['Value']=$this->sUserInfo[$Row0[2]]['Columns'][$Row0[3]]['Value'];
			}
		}
		//Spical value array
		foreach ($this->sSpicalValue as $Cell){
			if(isset($tmpDbDescriptions[$Cell[0]]['Columns'][$Cell[1]]['Value'])){
				$tmpDbDescriptions[$Cell[0]]['Columns'][$Cell[1]]['Value']=$Cell[2];
			}
		}
		//-- #Set spical --
		$tmpDbDescriptions[0]['Columns']['gsnadtParid']['Value']=$this->sMainID;
		$tmpDbDescriptions[0]['Columns']['gsnadtChecked']['Value']=2;
		
		
		//#Add
		$tmpINT=$tmpApp->Check($tmpDbDescriptions,array(),array());
		if($tmpINT!=0){
			$tmpApp->TransRollback();
			$this->sJscript=$this->Message('ERROR','',$tmpApp->sysLastError,'');
			return 1;
		}
		$Coun0=0;
		while (count($tmpDbDescriptions)>$Coun0){
			if($Coun0==0){
				$tmpDbDescriptions[$Coun0]['TableDescription']['SearchColumn']=$tmpTable[$Coun0]['sttColumnHead'].'NumCode,'.$tmpTable[$Coun0]['sttColumnHead'].'ID';
			}else {
				$tmpDbDescriptions[$Coun0]['TableDescription']['SearchColumn']=$tmpTable[$Coun0]['sttColumnHead'].'IndexID';
			}
			$Coun0++;
		}
		$tmpINT=$tmpApp->add($tmpDbDescriptions);
		if($tmpINT!=0){
			$tmpApp->TransRollback();
			$this->sJscript=$this->Message('ERROR','',$tmpApp->sysLastError,'');
			return 1;
		}
		
		foreach ($this->sDb->sysDbCacheClear as $Cell){
			$this->clearCache($Cell);
		}
		foreach ($this->sysPageCacheClear as $Cell){
			$this->clearCache($Cell);
		}
		$tmpApp->TransCommit();
		$this->sJscript=$this->Message('SUCCESS','','添加成功',$this->sysPage.'?ID='.$this->sMainID);
		/*
		$this->sJscript=$this->Message_Frame('A,0',
			$this->sysFileConfig['sysCoreRoot'].$this->sysFileConfig['PathManaFrameMessage'],
			$this->sCode->URL_MakeParameter('添加成功',0),
			$this->sCode->URL_MakeParameter($this->sApp->sysLastError,0),
			$this->sCode->URL_MakeParameter($this->sysFileConfig['sysCoreRoot'].'Mana/m_cms/doc/doc.php',0));
		*/
		return 0;
	}
	public function OnEvaluation(){
		$tmpAR0=$this->AnalyerRequest('ID',0,0);
		$tmpID=$tmpAR0[0];
		$tmpAR0=$this->AnalyerRequest('DEvaluation',-1,0);
		$tmpEvaluation=$tmpAR0[0];
		
		/*
		$tmpINT=$this->sApp->onEvaluation($tmpID,$tmpEvaluation,$this->sysFileConfig['CmsDocEvaluationSetting']);
		if($tmpINT!=0){
			$this->sJscript=$this->Message('ERROR','',$this->sApp->sysLastError,'');
			return 1;
		}
		*/
		
		$this->sJscript=$this->Message('SUCCESS','','打分成功，谢谢您的打分。','');
		return 0;
	}
	public function OnPositive(){
		$tmpAR0=$this->AnalyerRequest('DPositive',0,0);
		$this->sMainID=$tmpAR0[0];
		//-- # --
		$tmpData0=array();
		$tmpINT=$this->sApp->OnPositive($this->sMainID,$tmpData0);
		if ($tmpINT!=0) {
			$this->sMessage=$this->sApp->sysLastError.$this->sysSPLIT1.'-1';
			$this->sJscript=$this->Message('ERROR','',$this->sMessage,'');
			return 1;
		}
		
		$this->sMessage='您已成功投票。'.$this->sysSPLIT1.$tmpData0[0]['gsnactCode_Positive'];
		$this->sJscript=$this->Message('ERROR','',$this->sMessage,'');
		return 0;
	}
	public function OnNegative(){
		$tmpAR0=$this->AnalyerRequest('DNegative',0,0);
		$this->sMainID=$tmpAR0[0];
		//-- # --
		$tmpData0=array();
		$tmpINT=$this->sApp->OnNegative($this->sMainID,$tmpData0);
		if ($tmpINT!=0) {
			$this->sMessage=$this->sApp->sysLastError.$this->sysSPLIT1.'-1';
			$this->sJscript=$this->Message('ERROR','',$this->sMessage,'');
			return 1;
		}
		
		$this->sMessage='您已成功投票。'.$this->sysSPLIT1.$tmpData0[0]['gsnactCode_Negative'];
		$this->sJscript=$this->Message('ERROR','',$this->sMessage,'');
		return 0;
	}
	public function OnList(){
		$tmpAR0=$this->AnalyerRequest('ID',1,0);
		$this->sMainID=$tmpAR0[0];
		//-- ------ #Initial ------ --
		$tmpINT=$this->sApp->initialObject($this->sMainID);
		//-- ------ #Datas ------ --
		$tmpSQL=' SELECT A.gsnatID,A.gsnatName,A.gsnatParid,A.gsnatUnitid,A.gsnatNameStyle,A.gsnatState,A.gsnatURL,
			B.gsnactPrice_EndTime,B.gsnactPrice_Origin,B.gsnactPrice_Now,B.gsnactPrice_Sale,B.gsnactCode_Positive,B.gsnactCode_Negative,
			B.gsnactPrice_Save,B.gsnactPrice_LimitPeople,B.gsnactPrice_TotalCount,B.gsnactMapIntroduct,
			B.gsnactMapX,B.gsnactMapY,B.gsnactCount_Order,B.gsnactSourceR00,B.gsnactSourceR01,B.gsnactIntroduct,B.gsnactContent,
			B.gsnactPageAble,B.gsnactTemplateid_Detail,B.gsnactSpeak,B.gsnactCom_Logo,B.gsnactCom_Introduct

			FROM {Nets.TableHead}gsnavigationactive AS A 
			INNER JOIN {Nets.TableHead}gsnavigationactivecont AS B ON B.gsnactIndexID=A.gsnatID
			WHERE 1=1 AND A.gsnatRecycle=0 AND A.gsnatChecked>1 AND A.gsnatID={Nets.ID} ';
		$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
		$tmpSTR=str_replace('{Nets.ID}',$this->sMainID,$tmpSTR);
		$this->sDetailData=$this->sDb->Search($tmpSTR);
		if(count($this->sDetailData)==0){
			//#Error
			//#Other
			$tmpSQL=' SELECT A.gsnatID,A.gsnatName,A.gsnatCreateTime
				FROM {Nets.TableHead}gsnavigationactive AS A 
				WHERE 1=1 AND A.gsnatRecycle=0 AND A.gsnatChecked>1
				ORDER BY A.gsnatOrderBy DESC,A.gsnatID DESC LIMIT 0,8 ';
			$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
			$this->sOtherData=$this->sDb->Search($tmpSTR);
			return 1;
		}
		$this->sMainID=$this->sDetailData[0]['gsnatID'];
		$this->sMetaTitle=$this->sDetailData[0]['gsnatName'];
		$this->sParid=$this->sDetailData[0]['gsnatParid'];
		
		if($this->sDetailData[0]['gsnactPageAble']==1){
			$tmpCListSTR0='DCList0';
			$tmpCListAR0=$this->AnalyerRequest($tmpCListSTR0,'1,0',0);
			$this->sCPButton=new netsConPButton();
			$this->sCPButton->sPage=$this->sysPage;
			$this->sCPButton->sExtendParameter='&ID='.$this->sMainID;
			$this->sCPButton->setPage($tmpCListAR0,$this->sDetailData[0]['gsnactContent']);
			$this->sDetailData[0]['gsnactContent']=$this->sCPButton->getContent();
		}else {
			$this->sDetailData[0]['gsnactContent']=str_replace($this->sysSPLIT12,'',$this->sDetailData[0]['gsnactContent']);
		}
		//-- ------ #Unit ------ --
		$tmpSQL=' SELECT A.gsnutID,A.gsnutName,
			B.gsnuctSourceR00
			FROM {Nets.TableHead}gsnavigationunit AS A
			INNER JOIN {Nets.TableHead}gsnavigationunitcont AS B ON B.gsnuctIndexID=A.gsnutID
			WHERE 1=1 AND A.gsnutRecycle=0 AND A.gsnutChecked>1 AND A.gsnutID={Nets.ID} ';
		$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
		$tmpSTR=str_replace('{Nets.ID}',$this->sDetailData[0]['gsnatUnitid'],$tmpSTR);
		$this->sData_Unit=$this->sDb->Search($tmpSTR);
		
		//-- ------ #Group ------ --
		$tmpSQL=' SELECT A.gsnagtID,A.gsnagtName,B.gsnagctTemplateid_Detail
			FROM {Nets.TableHead}gsnavigationactivegroup AS A
			INNER JOIN {Nets.TableHead}gsnavigationactivegroupcont AS B ON B.gsnagctIndexID=A.gsnagtID
			WHERE 1=1 AND A.gsnagtRecycle=0 AND A.gsnagtChecked>1 AND A.gsnagtID={Nets.ID} ';
		$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
		$tmpSTR=str_replace('{Nets.ID}',$this->sMainID,$tmpSTR);
		$this->sData_Group=$this->sDb->Search($tmpSTR);
		if(count($this->sData_Group)==0){
			//#Non group
			//#Other
			$this->sData_Group[0]=array(
				'gsnagctTemplateid_Detail'=>0
				);
		}
		//-- ------ #Template ------ --
		//#List
		$tmpSQL=' SELECT A.stemtID,A.stemtName,B.stemctPath 
			FROM {Nets.TableHead}netssystemplate AS A
			INNER JOIN {Nets.TableHead}netssystemplatecont AS B ON B.stemctIndexID=A.stemtID
			WHERE 1=1 AND A.stemtRecycle=0 AND A.stemtChecked>1 AND A.stemtID={Nets.ID} ';
		$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
		$tmpSTR=str_replace('{Nets.ID}',$this->sData_Group[0]['gsnagctTemplateid_Detail'],$tmpSTR);
		$tmpData0=$this->sDb->Search($tmpSTR);
		if(count($tmpData0)!=0){
			$this->sTemplatePath=$tmpData0[0]['stemctPath'];
		}
		//#Detail
		$tmpSQL=' SELECT A.stemtID,A.stemtName,B.stemctPath 
			FROM {Nets.TableHead}netssystemplate AS A
			INNER JOIN {Nets.TableHead}netssystemplatecont AS B ON B.stemctIndexID=A.stemtID
			WHERE 1=1 AND A.stemtRecycle=0 AND A.stemtChecked>1 AND A.stemtID={Nets.ID} ';
		$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
		$tmpSTR=str_replace('{Nets.ID}',$this->sDetailData[0]['gsnactTemplateid_Detail'],$tmpSTR);
		$tmpData0=$this->sDb->Search($tmpSTR);
		if(count($tmpData0)!=0){
			$this->sTemplatePath=$tmpData0[0]['stemctPath'];
		}
		//-- ------ #Navigation ------ --
		$this->sNavigation=$this->sDb->getParent($this->sDetailData[0]['gsnatParid'],$this->sysTableHead.'gsnavigationactivegroup','gsnagt');
		//-- ------ #Other ------ --
		//Unit
		$tmpSQL=' SELECT A.gsnutID,A.gsnutName,
			B.gsnuctSourceR00
			FROM {Nets.TableHead}gsnavigationunit AS A 
			INNER JOIN {Nets.TableHead}gsnavigationunitcont AS B ON B.gsnuctIndexID=A.gsnutID
			WHERE 1=1 AND A.gsnutRecycle=0 AND A.gsnutChecked>1 AND gsnutID={Nets.ID}
			ORDER BY A.gsnutOrderBy DESC,A.gsnutID DESC LIMIT 0,1 ';
		$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
		$tmpSTR=str_replace('{Nets.ID}',$this->sDetailData[0]['gsnatUnitid'],$tmpSTR);
		$this->sData_Unit=$this->sDb->Search($tmpSTR);
		//Next
		$tmpSQL=' SELECT A.gsnatID,A.gsnatName,A.gsnatCreateTime
			FROM {Nets.TableHead}gsnavigationactive AS A 
			WHERE 1=1 AND A.gsnatRecycle=0 AND A.gsnatChecked>1 AND gsnatID>{Nets.ID} AND A.gsnatParid={Nets.Parid}
			ORDER BY A.gsnatOrderBy DESC,A.gsnatID DESC LIMIT 0,1 ';
		$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
		$tmpSTR=str_replace('{Nets.ID}',$this->sDetailData[0]['gsnatID'],$tmpSTR);
		$tmpSTR=str_replace('{Nets.Parid}',$this->sDetailData[0]['gsnatParid'],$tmpSTR);
		$this->sNextData=$this->sDb->Search($tmpSTR);
		//Previous
		$tmpSQL=' SELECT A.gsnatID,A.gsnatName,A.gsnatCreateTime
			FROM {Nets.TableHead}gsnavigationactive AS A 
			WHERE 1=1 AND A.gsnatRecycle=0 AND A.gsnatChecked>1 AND gsnatID<{Nets.ID} AND A.gsnatParid={Nets.Parid}
			ORDER BY A.gsnatOrderBy DESC,A.gsnatID DESC LIMIT 0,1 ';
		$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
		$tmpSTR=str_replace('{Nets.ID}',$this->sDetailData[0]['gsnatID'],$tmpSTR);
		$tmpSTR=str_replace('{Nets.Parid}',$this->sDetailData[0]['gsnatParid'],$tmpSTR);
		$this->sPreviousData=$this->sDb->Search($tmpSTR);
		//Other
		$tmpSQL=' SELECT A.gsnatID,A.gsnatName,A.gsnatCreateTime
			FROM {Nets.TableHead}gsnavigationactive AS A 
			WHERE 1=1 AND A.gsnatRecycle=0 AND A.gsnatChecked>1 AND A.gsnatParid={Nets.Parid}
			ORDER BY A.gsnatOrderBy DESC,A.gsnatID DESC LIMIT 0,8 ';
		$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSTR);
		$tmpSTR=str_replace('{Nets.Parid}',$this->sDetailData[0]['gsnatParid'],$tmpSTR);
		$this->sOtherData=$this->sDb->Search($tmpSTR);
		//-- ------ #Discuss ------ --
		$tmpListSTR0='DList0';
		$tmpListAR0=$this->getQueryString($tmpListSTR0);
		$tmpSortSTR0='DSort0';
		$tmpSortAR0=$this->AnalyerRequest($tmpSortSTR0,'gsnadtID,2',0);
		//Data
		$tmpSQL=' SELECT A.gsnadtID,A.gsnadtCreateTime,B.gsnadctPublisher_Name,B.gsnadctContent
			FROM {Nets.TableHead}gsnavigationactivediscuss AS A
			INNER JOIN {Nets.TableHead}gsnavigationactivediscusscont AS B ON B.gsnadctIndexID=A.gsnadtID
			WHERE 1=1 AND A.gsnadtRecycle=0 AND A.gsnadtChecked>1 AND A.gsnadtParid={Nets.ID}
			ORDER BY A.gsnadtOrderBy DESC,A.gsnadtID DESC ';
		$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
		$tmpSTR=str_replace('{Nets.ID}',$this->sMainID,$tmpSTR);
		$this->sDiscussData=$this->sDb->SearchP($tmpSTR,$tmpListAR0);
		$this->sRecordCount_Discuss=$this->sDb->sysPageInfo[3];
		//#Set page button
		$this->sPAjaxButton->sPage=$this->sysPage;
		$this->sPAjaxButton->sFlag='discussBox';
		$this->sPAjaxButton->sPanel='discussBox';
		$this->sPAjaxButton->resetTemlate('../../../Config/m_default/File/pageAjaxButton3.htm');
		$this->sPAjaxButton->sExtendParameter='&ID='.$this->sMainID;
		$this->sPAjaxButton->setPage($this->sDb->sysPageInfo);

		//-- ------ #Discuss form ------ --
		$this->sUiDescription_0=array();
		$tmpSTR=$this->sUiDescriptionPath.'Plus/gsnavigation/gsnavigationactive_discuss.php';
		if(file_exists($tmpSTR)){
			require($tmpSTR);
			$this->sUiDescription_0=$sysUiDescriptions['gsnavigationactive_discuss'];
			$sysUiDescriptions=array();
		}
		
		
	}
	
	public function DefUiPanel(&$pColumn,$pFlag){
		if($pColumn['stcotName']=='gsnadctContent' && $pFlag=='Normal'){
			$pColumn['ControlStyle']='width:500px;height:40px;';
			$pColumn['Parameter_JS_Onfocus']="tmpMCommon.OnDiscussInput(this.name,0);CCodeTxt_ShowCACode(0);";
		}
	}
	
}

?>